package Triangle.AbstractSyntaxTrees;

import Triangle.SyntacticAnalyzer.SourcePosition;

public class SingleIdentifierList extends IdentifierList {

	public SingleIdentifierList(Identifier iAST, SourcePosition thePosition) {
	
		super(thePosition);
		I = iAST;
	}
	
	public Object visit(Visitor v, Object o) {
		return v.visitSingleIdentifierList(this, o);
	}

	public Identifier I;
}
